# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Home finances modeling program
Name: expendable
Version: 0.0.10
Release: alt1_10
License: GPLv2+
Group: Office
URL: https://fedorahosted.org/expendable/
# Add "?format=raw" to the following URL to download file:
Source0: https://fedorahosted.org/releases/e/x/expendable/%{name}-%{version}.tar.xz
Patch1: expendable-not-mounted.patch

BuildArch: noarch
BuildRequires:  gcc
BuildRequires: python
BuildRequires: desktop-file-utils >= 0.2.92
BuildRequires: gettext-tools libasprintf-devel, intltool
BuildRequires: GConf libGConf
Requires: python-module-pygtk python-module-pygtk-demo
Requires: python-module-pygnome-gconf
Requires: python-module-numpy python-module-numpy-testing
Source44: import.info

%description
This is a program for modelling home finances. In particular, it can
be used to work how long it will take to pay back a mortgage if a
linked "offset" facility is available.  Offset accounts are like
savings accounts, but instead of accruing interest they reduce the
amount of interest charged for the mortgage by offsetting the loan
amount.

%prep
%setup -q
%patch1 -p1 -b .not-mounted

%build
%configure
make

%install
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install					\
	--dir %{buildroot}%{_datadir}/applications	\
	--add-category GTK				\
	--add-category Office				\
	--add-category Finance				\
	%{name}.desktop

%find_lang %{name}

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS README COPYING
%config %{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/*.desktop

%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.0.10-alt1_10
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.0.10-alt1_9
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 0.0.10-alt1_7
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.0.10-alt1_6
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.0.10-alt1_5
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.0.10-alt1_4
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.0.10-alt1_3
- update to new release by fcimport

* Wed Apr 08 2015 Igor Vlasenko <viy@altlinux.ru> 0.0.10-alt1_2
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.0.9-alt1_10
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.9-alt1_9
- update to new release by fcimport

* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.9-alt1_8
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.9-alt1_7
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.0.9-alt1_6
- fc import

